%define srcname pykde4

Summary:	KDE bindings to non-C++ languages
Name:		python-kde4
Version:	4.13.3
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Development/KDE and Qt
Url:		http://www.kde.org
%define is_beta %(if test `echo %{version} |cut -d. -f3` -ge 70; then echo -n 1; else echo -n 0; fi)
%if %{is_beta}
%define ftpdir unstable
%else
%define ftpdir stable
%endif
Source:		ftp://ftp.kde.org/pub/kde/%{ftpdir}/%{version}/src/%{srcname}-%{version}.tar.xz
Patch0:		pykde4-4.10.0-respect-sip-flags.patch
# Revert commit that adds some python-sip-4.15 fixes and breaks older sip support
# https://bugs.kde.org/show_bug.cgi?id=325667
Patch1:		pykde4-4.13.2-sip4.15.patch
# Patch adapted from similar changes made to phonon sip files included in PyQt-4.10.4
# https://bugs.kde.org/show_bug.cgi?id=332223#c3
Patch2:		pykde4-4.12.4-fix-build-against-python-sip-4.15.5.patch
BuildRequires:	automoc4
BuildRequires:	python-sip
BuildRequires:	kdepimlibs4-devel
BuildRequires:	python-qt4-devel
BuildRequires:	pkgconfig(python)
# Seems to be broken for a long time
# BuildRequires:	pkgconfig(polkit-qt-1)
BuildRequires:	pkgconfig(shared-desktop-ontologies)
Provides:	PyKDE4 = %{EVRD}
Provides:	pykde4 = %{EVRD}
Requires:	python-qt4 >= 4.9
Requires:	sip-api(%{sip_api_major}) = %{sip_api}

%description
The Python bindings for KDE 4.

%files
%{py_platsitedir}/PyQt4/
%{py_platsitedir}/PyKDE4
%{_kde_bindir}/pykdeuic4*
%{_kde_libdir}/kde4/kpythonpluginfactory.so
%dir %{_kde_appsdir}/pykde4
%exclude %{_kde_datadir}/doc/python-kde4

#-----------------------------------------------------------------------------

%package devel
Summary:	PyKDE4 sip files and examples
Group:		Development/KDE and Qt
Requires:	python-kde4 = %{EVRD}
Requires:	python-qt4-devel

%description devel
Python KDE 4 sip files and examples.

%files devel
%{_kde_datadir}/sip/PyKDE4
%{_kde_appsdir}/pykde4/examples

#-----------------------------------------------------------------------------

%package doc
Summary:	PyKDE4 documentation
Group:		Development/KDE and Qt
BuildArch:	noarch

%description doc
Python bindings for KDE 4 documentation.

%files doc
%doc AUTHORS COPYING COPYING.LESSER NEWS README THANKS
%{_kde_datadir}/doc/python-kde4

#------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

# Copy Python Doc
mkdir -p %{buildroot}%{_kde_datadir}/doc/python-kde4
cp -a docs/html/* %{buildroot}%{_kde_datadir}/doc/python-kde4/


%changelog
* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.3-1
+ Revision: 6b06d73
- LOG New version 4.13.3 (sync spec and patches with Cooker)


